- Main Page
- Classes
- Files

- File List
- File Members

# flGraphicsEffectsFullscreen.c File Reference

`#include "flGlobal.h"`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <pspgu.h>`
`#include <pspkernel.h>`

Go to the source code of this file.

## Defines
#define | blockWidth 64
#define | blockHeight 64
#define | blockWidthSafe ((i + blockWidth) > SCREEN_WIDTH ? (SCREEN_WIDTH - i) : blockWidth)
#define | blockHeightSafe ((j + blockHeight) > SCREEN_HEIGHT ? (SCREEN_HEIGHT - j) : blockHeight)
## Functions
void | graphicsEffectFsGrayscale ()
void | graphicsEffectFsGrayscaleSW ()
void | graphicsEffectFsSepia ()
void | graphicsEffectFsNightVision ()
void | graphicsEffectFsNightVisionSW ()
void | graphicsEffectFsThermalVision ()
void | graphicsEffectFsMonochrome (u32 inColor)
void | graphicsEffectFsDichrome (u32 inColorLight, u32 inColorDark)
void | graphicsEffectFsColorEnhance ()
void | graphicsEffectFsLightEnhance ()
void | graphicsEffectFsInvert ()
void | graphicsEffectFsGlow ()
void | graphicsEffectFsDepthFog (u32 inColor, bool inLowBit)

## Define Documentation

#define blockHeight 64

Definition at line 16 of file flGraphicsEffectsFullscreen.c.

Referenced by graphicsEffectFsColorEnhance(), graphicsEffectFsDichrome(), graphicsEffectFsGlow(), graphicsEffectFsGrayscale(), graphicsEffectFsInvert(), graphicsEffectFsLightEnhance(), graphicsEffectFsMonochrome(), graphicsEffectFsNightVision(), and graphicsEffectFsThermalVision().

#define blockHeightSafe ((j + blockHeight) > SCREEN_HEIGHT ? (SCREEN_HEIGHT - j) : blockHeight)

Definition at line 18 of file flGraphicsEffectsFullscreen.c.

Referenced by graphicsEffectFsColorEnhance(), graphicsEffectFsDichrome(), graphicsEffectFsGlow(), graphicsEffectFsGrayscale(), graphicsEffectFsInvert(), graphicsEffectFsLightEnhance(), graphicsEffectFsMonochrome(), graphicsEffectFsNightVision(), and graphicsEffectFsThermalVision().

#define blockWidth 64

Definition at line 15 of file flGraphicsEffectsFullscreen.c.

Referenced by graphicsEffectFsColorEnhance(), graphicsEffectFsDepthFog(), graphicsEffectFsDichrome(), graphicsEffectFsGlow(), graphicsEffectFsGrayscale(), graphicsEffectFsInvert(), graphicsEffectFsLightEnhance(), graphicsEffectFsMonochrome(), graphicsEffectFsNightVision(), and graphicsEffectFsThermalVision().

#define blockWidthSafe ((i + blockWidth) > SCREEN_WIDTH ? (SCREEN_WIDTH - i) : blockWidth)

Definition at line 17 of file flGraphicsEffectsFullscreen.c.

Referenced by graphicsEffectFsColorEnhance(), graphicsEffectFsDepthFog(), graphicsEffectFsDichrome(), graphicsEffectFsGlow(), graphicsEffectFsGrayscale(), graphicsEffectFsInvert(), graphicsEffectFsLightEnhance(), graphicsEffectFsMonochrome(), graphicsEffectFsNightVision(), and graphicsEffectFsThermalVision().

## Function Documentation

void graphicsEffectFsColorEnhance | ( |  | ) |

Definition at line 788 of file flGraphicsEffectsFullscreen.c.

References blockHeight, blockHeightSafe, blockWidth, blockWidthSafe, debugWarning, graphicsDrawBuffer, memCachedPtr, memUncachedPtr, NULL, palBound, SCREEN_HEIGHT, SCREEN_PITCH, SCREEN_STRIDE, texBound, vertTsVs::vertU, vertTsVs::vertV, vertTsVs::vertX, vertTsVs::vertY, vertTsVs::vertZ, vmemAbsolutePtr, vmemAlloc, vmemCache, vmemFree, and vmemRelativePtr.

void graphicsEffectFsDepthFog | ( | u32 | inColor,
|  | bool | inLowBit |
| ) |  |  |

Definition at line 1298 of file flGraphicsEffectsFullscreen.c.

References blockWidth, blockWidthSafe, color8888_Blue, color8888_Green, color8888_Red, debugWarning, graphicsDepthBuffer, memFree, memQalloc, memUncachedPtr, NULL, palBound, SCREEN_HEIGHT, SCREEN_PITCH, SCREEN_WIDTH, texBound, vertTsVs::vertU, vertTsVs::vertV, vertTsVs::vertX, vertTsVs::vertY, vertTsVs::vertZ, and vmemAbsolutePtr.

void graphicsEffectFsDichrome | ( | u32 | inColorLight,
|  | u32 | inColorDark |
| ) |  |  |

Definition at line 630 of file flGraphicsEffectsFullscreen.c.

References blockHeight, blockHeightSafe, blockWidth, blockWidthSafe, debugWarning, graphicsDrawBuffer, memCachedPtr, memFree, memQalloc, memUncachedPtr, NULL, palBound, SCREEN_HEIGHT, SCREEN_PITCH, SCREEN_STRIDE, texBound, vertTsVs::vertU, vertTsVs::vertV, vertTsVs::vertX, vertTsVs::vertY, vertTsVs::vertZ, vmemAbsolutePtr, vmemAlloc, vmemCache, vmemFree, and vmemRelativePtr.

void graphicsEffectFsGlow | ( |  | ) |

Definition at line 1121 of file flGraphicsEffectsFullscreen.c.

References blockHeight, blockHeightSafe, blockWidth, blockWidthSafe, debugWarning, graphicsDrawBuffer, graphicsEffectFsNightVisionSW(), memCachedPtr, memFree, memQalloc, memUncachedPtr, NULL, palBound, SCREEN_HEIGHT, SCREEN_PITCH, SCREEN_STRIDE, texBound, vertTsVs::vertU, vertTfVs::vertU, vertTsVs::vertV, vertTfVs::vertV, vertTsVs::vertX, vertTfVs::vertX, vertTsVs::vertY, vertTfVs::vertY, vertTsVs::vertZ, vertTfVs::vertZ, vmemAbsolutePtr, vmemAlloc, vmemCache, vmemFree, and vmemRelativePtr.

void graphicsEffectFsGrayscale | ( |  | ) |

Definition at line 20 of file flGraphicsEffectsFullscreen.c.

References blockHeight, blockHeightSafe, blockWidth, blockWidthSafe, debugWarning, graphicsDrawBuffer, graphicsEffectFsGrayscaleSW(), memCachedPtr, memFree, memQalloc, memUncachedPtr, NULL, palBound, SCREEN_HEIGHT, SCREEN_PITCH, SCREEN_STRIDE, SCREEN_WIDTH, texBound, vertTsVs::vertU, vertTsVs::vertV, vertTsVs::vertX, vertTsVs::vertY, vertTsVs::vertZ, vmemAbsolutePtr, vmemAlloc, vmemCache, vmemFree, and vmemRelativePtr.

Referenced by graphicsEffectFsSepia().

void graphicsEffectFsGrayscaleSW | ( |  | ) |

Definition at line 146 of file flGraphicsEffectsFullscreen.c.

References color8888_Alpha, color8888_Blue, color8888_Green, color8888_Red, color8888_RGBA, graphicsDrawBuffer, max, memUncachedPtr, min, SCREEN_HEIGHT, SCREEN_PITCH, SCREEN_WIDTH, and vmemAbsolutePtr.

Referenced by graphicsEffectFsGrayscale().

void graphicsEffectFsInvert | ( |  | ) |

Definition at line 982 of file flGraphicsEffectsFullscreen.c.

References blockHeight, blockHeightSafe, blockWidth, blockWidthSafe, debugWarning, graphicsDrawBuffer, graphicsEffectFsNightVisionSW(), memCachedPtr, memFree, memQalloc, memUncachedPtr, NULL, palBound, SCREEN_HEIGHT, SCREEN_PITCH, SCREEN_STRIDE, texBound, vertTsVs::vertU, vertTsVs::vertV, vertTsVs::vertX, vertTsVs::vertY, vertTsVs::vertZ, vmemAbsolutePtr, vmemAlloc, vmemCache, vmemFree, and vmemRelativePtr.

void graphicsEffectFsLightEnhance | ( |  | ) |

Definition at line 858 of file flGraphicsEffectsFullscreen.c.

References blockHeight, blockHeightSafe, blockWidth, blockWidthSafe, debugWarning, graphicsDrawBuffer, graphicsEffectFsNightVisionSW(), memCachedPtr, memFree, memQalloc, memUncachedPtr, NULL, palBound, SCREEN_HEIGHT, SCREEN_PITCH, SCREEN_STRIDE, texBound, vertTsVs::vertU, vertTsVs::vertV, vertTsVs::vertX, vertTsVs::vertY, vertTsVs::vertZ, vmemAbsolutePtr, vmemAlloc, vmemCache, vmemFree, and vmemRelativePtr.

void graphicsEffectFsMonochrome | ( | u32 | inColor | ) |

Definition at line 505 of file flGraphicsEffectsFullscreen.c.

References blockHeight, blockHeightSafe, blockWidth, blockWidthSafe, debugWarning, graphicsDrawBuffer, graphicsEffectFsNightVisionSW(), memCachedPtr, memFree, memQalloc, memUncachedPtr, NULL, palBound, SCREEN_HEIGHT, SCREEN_PITCH, SCREEN_STRIDE, texBound, vertTsVs::vertU, vertTsVs::vertV, vertTsVs::vertX, vertTsVs::vertY, vertTsVs::vertZ, vmemAbsolutePtr, vmemAlloc, vmemCache, vmemFree, and vmemRelativePtr.

void graphicsEffectFsNightVision | ( |  | ) |

Definition at line 184 of file flGraphicsEffectsFullscreen.c.

References blockHeight, blockHeightSafe, blockWidth, blockWidthSafe, debugWarning, graphicsDrawBuffer, graphicsEffectFsNightVisionSW(), memCachedPtr, memFree, memQalloc, memUncachedPtr, NULL, palBound, SCREEN_HEIGHT, SCREEN_PITCH, SCREEN_STRIDE, texBound, vertTsVs::vertU, vertTsVs::vertV, vertTsVs::vertX, vertTsVs::vertY, vertTsVs::vertZ, vmemAbsolutePtr, vmemAlloc, vmemCache, vmemFree, and vmemRelativePtr.

void graphicsEffectFsNightVisionSW | ( |  | ) |

Definition at line 310 of file flGraphicsEffectsFullscreen.c.

References color8888_Alpha, color8888_Blue, color8888_Green, color8888_Red, color8888_RGBA, graphicsDrawBuffer, max, memUncachedPtr, min, SCREEN_HEIGHT, SCREEN_PITCH, SCREEN_WIDTH, and vmemAbsolutePtr.

Referenced by graphicsEffectFsGlow(), graphicsEffectFsInvert(), graphicsEffectFsLightEnhance(), graphicsEffectFsMonochrome(), graphicsEffectFsNightVision(), and graphicsEffectFsThermalVision().

void graphicsEffectFsSepia | ( |  | ) |

Definition at line 162 of file flGraphicsEffectsFullscreen.c.

References graphicsEffectFsGrayscale(), SCREEN_HEIGHT, SCREEN_WIDTH, vertCVs::vertColor, vertCVs::vertX, vertCVs::vertY, and vertCVs::vertZ.

void graphicsEffectFsThermalVision | ( |  | ) |

Definition at line 328 of file flGraphicsEffectsFullscreen.c.

References blockHeight, blockHeightSafe, blockWidth, blockWidthSafe, debugWarning, graphicsDrawBuffer, graphicsEffectFsNightVisionSW(), memCachedPtr, memFree, memQalloc, memUncachedPtr, NULL, palBound, SCREEN_HEIGHT, SCREEN_PITCH, SCREEN_STRIDE, texBound, vertTsVs::vertU, vertTsVs::vertV, vertTsVs::vertX, vertTsVs::vertY, vertTsVs::vertZ, vmemAbsolutePtr, vmemAlloc, vmemCache, vmemFree, and vmemRelativePtr.